FROM microsoft/dotnet:2.2-sdk AS build-env
WORKDIR /app

# Copy dependencies and project
COPY Common/ ./Common/
COPY Database/EpicTaskDatabase/ ./Database/EpicTaskDatabase/
COPY WebServices/EpicTaskWebService/ ./WebServices/EpicTaskWebService/

# Restore as distinct layers
RUN dotnet restore WebServices/EpicTaskWebService/EpicTaskWebService.csproj

# Copy everything else and build
RUN dotnet publish WebServices/EpicTaskWebService/EpicTaskWebService.csproj -c Release -o ../../out

WORKDIR /app/out

ENTRYPOINT ["dotnet", "EpicTaskWebService.dll"]
EXPOSE 5003
